Put Product

Put Product
Updates a product

Updates and activates a product. For example, this API can update the password for a vCenter.

Request
URI
PUT
https://umip/api/v1/product
COPY
Request Body

Product update details

{
    "productType": "vCenter",
    "id": 1,
    "host": "10.158.15.7",
    "port": 443,
    "externalSSO": false,
    "user": "admin",
    "password": "updated_password",
    "srmMetered": false,
    "k8sMetric": "vRAM"
}
Authentication
This operation uses the following authentication methods.
Responses
202

Product update successful

{
    "active": true,
    "extSSOhost": null,
    "extSSOport": 0,
    "k8sMetric": "vRAM",
    "externalSSO": false,
    "fullName": "vCenter",
    "host": "10.158.15.7",
    "id": 1,
    "instanceUUID": "bc663ce4-c45f-4e5c-a840-244ff2851e04",
    "lastChanged": 1593830688135,
    "metered": true,
    "port": 443,
    "srmMetered": true,
    "productType": "vCenter",
    "status": {
        "code": "OK",
        "lastChanged": 1593830689485,
        "text": "OK"
    },
    "user": "admin",
    "vcfEdition": "Basic",
    "version": "7.0.0"
}

400

Invalid data for one or more fields in the request

Returns 400InvalidRequest of type(s) application/json
{
    "errCode": "GW_REQ_KEY",
    "errMessage": "Not found expected value for key 'sampleKey'"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

502

For example, product with the specified 'ProductType' and 'id' is not found

Returns Error of type(s) application/json
{
    "errCode": "string",
    "errMessage": "string"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v1/product